RowSorter.SortKey (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing, class: RowSorter, class: SortKey
Keywords: javax.swing.RowSorter.SortKey class

# Class RowSorter.SortKey

java.lang.Object
javax.swing.RowSorter.SortKey

Enclosing class:
  `RowSorter<M>`

public static class RowSorter.SortKey extends Object
SortKey describes the sort order for a particular column. The column index is in terms of the underlying model, which may differ from that of the view.

Since:
  1.6

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortKey(int column, SortOrder sortOrder)`
  Creates a `SortKey` for the specified column with the specified sort order.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Returns true if this object equals the specified object.
  `final int`
  `getColumn()`
  Returns the index of the column.
  `final SortOrder`
  `getSortOrder()`
  Returns the sort order of the column.
  `int`
  `hashCode()`
  Returns the hash code for this `SortKey`.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SortKey

    public SortKey(int column, SortOrder sortOrder)
    Creates a `SortKey` for the specified column with the specified sort order.
    Parameters:
      `column` - index of the column, in terms of the model
      `sortOrder` - the sorter order
    Throws:
      `IllegalArgumentException` - if `sortOrder` is `null`

- ## Method Details

  - ### getColumn

    public final int getColumn()
    Returns the index of the column.
    Returns:
      index of column

  - ### getSortOrder

    public final SortOrder getSortOrder()
    Returns the sort order of the column.
    Returns:
      the sort order of the column

  - ### hashCode

    public int hashCode()
    Returns the hash code for this `SortKey`.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      hash code
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`

  - ### equals

    public boolean equals(Object o)
    Returns true if this object equals the specified object. If the specified object is a `SortKey` and references the same column and sort order, the two objects are equal.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - the object to compare to
    Returns:
      true if `o` is equal to this `SortKey`
    See Also:
      - `Object.hashCode()`
      - `HashMap`